#ifndef DUNE_NUMPROC_HH
#define DUNE_NUMPROC_HH

#include <dune/common/exceptions.hh>

/** \brief Exception thrown by solvers */
class SolverError : public Dune::Exception {};

    /** \brief Base class for numerical procedures */
    class NumProc
    {
    public:

        /** \brief Different levels of verbosity */
        enum VerbosityMode {QUIET, REDUCED, FULL};

        NumProc() : verbosity_(FULL) {}

        NumProc(VerbosityMode verbosity) 
            : verbosity_(verbosity)
        {}

        /** \brief Controls the amount of screen output of a numproc */
        VerbosityMode verbosity_;

    };

#endif
